<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Name: Transportation Act
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000">
   <title>Transportation Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]
Item: (TransportationAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']"
         id="d109e3335-false-d33386e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="string(@classCode)=('TRNS')">(TransportationAct): de waarde van @classCode MOET 'TRNS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="@moodCode">(TransportationAct): attribute @moodCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('INT','EVN')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(TransportationAct): de waarde van moodCode MOET 'code INT of code EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302'])&gt;=1 ">(TransportationAct): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302'])&lt;=1">(TransportationAct): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TransportationAct): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:code)&gt;=1 ">(TransportationAct): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:code)&lt;=1">(TransportationAct): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:text)&lt;=1">(TransportationAct): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TransportationAct): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(TransportationAct): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:participant[@typeCode='ORG'])&lt;=1">(TransportationAct): element hl7:participant[@typeCode='ORG'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:participant[@typeCode='ATND'])&lt;=1">(TransportationAct): element hl7:participant[@typeCode='ATND'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:participant[@typeCode='DST'])&lt;=1">(TransportationAct): element hl7:participant[@typeCode='DST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.221']])&lt;=1">(TransportationAct): element hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.221']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']"
         id="d109e3346-false-d33521e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.302')">(TransportationAct): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.302' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:id
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:id"
         id="d109e3351-false-d33539e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:code
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:code"
         id="d109e3353-false-d33553e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:text
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:text"
         id="d109e3360-false-d33567e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:reference)&gt;=1 ">(TransportationAct): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:reference)&lt;=1">(TransportationAct): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:text/hl7:reference
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:text/hl7:reference"
         id="d109e3365-false-d33593e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:URL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:effectiveTime
Item: (TransportationAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:effectiveTime"
         id="d109e3368-false-d33607e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:low)&gt;=1 ">(TransportationAct): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:low)&lt;=1">(TransportationAct): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:high)&gt;=1 ">(TransportationAct): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="count(hl7:high)&lt;=1">(TransportationAct): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:effectiveTime/hl7:low
Item: (TransportationAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:effectiveTime/hl7:high
Item: (TransportationAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.303
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']
Item: (Sourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']"
         id="d33657e24-false-d33662e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="string(@typeCode)=('ORG')">(Sourcelocation): de waarde van @typeCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(Sourcelocation): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:participantRole)&lt;=1">(Sourcelocation): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.303
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']/hl7:participantRole
Item: (Sourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']/hl7:participantRole"
         id="d33657e28-false-d33687e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="string(@classCode)=('LOCE')">(Sourcelocation): de waarde van @classCode MOET 'LOCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:id)&lt;=1">(Sourcelocation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:addr)&gt;=1 ">(Sourcelocation): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="count(hl7:addr)&lt;=1">(Sourcelocation): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.303
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']/hl7:participantRole/hl7:id
Item: (Sourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']/hl7:participantRole/hl7:id"
         id="d33657e32-false-d33727e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.303
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']/hl7:participantRole/hl7:addr
Item: (Sourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']/hl7:participantRole/hl7:addr"
         id="d33657e34-false-d33741e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.303
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']/hl7:participantRole/hl7:telecom
Item: (Sourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ORG']/hl7:participantRole/hl7:telecom"
         id="d33657e36-false-d33755e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.303-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']"
         id="d33757e48-false-d33766e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="string(@typeCode)=('ATND')">(Caregiveratsourcelocation): de waarde van @typeCode MOET 'ATND' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole"
         id="d33757e52-false-d33785e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="string(@classCode)=('ASSIGNED')">(Caregiveratsourcelocation): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:code)&lt;=1">(Caregiveratsourcelocation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:telecom[starts-with(@value, 'tel:')])&lt;=1">(Caregiveratsourcelocation): element hl7:telecom[starts-with(@value, 'tel:')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:telecom[starts-with(@value, 'mailto:')])&lt;=1">(Caregiveratsourcelocation): element hl7:telecom[starts-with(@value, 'mailto:')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(Caregiveratsourcelocation): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:code
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:code"
         id="d33757e56-false-d33834e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.45-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Caregiveratsourcelocation): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.45 Hulpverleners ter plaatse (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.45-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Caregiveratsourcelocation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.55.11.45 Hulpverleners ter plaatse (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:addr
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:addr"
         id="d33757e61-false-d33862e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:telecom[starts-with(@value, 'tel:')]
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:telecom[starts-with(@value, 'tel:')]"
         id="d33757e63-false-d33873e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:telecom[starts-with(@value, 'mailto:')]
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:telecom[starts-with(@value, 'mailto:')]"
         id="d33757e69-false-d33884e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:playingEntity
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:playingEntity"
         id="d33757e76-false-d33898e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(Caregiveratsourcelocation): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(Caregiveratsourcelocation): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="count(hl7:name)&lt;=1">(Caregiveratsourcelocation): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.305
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (Caregiveratsourcelocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='ATND']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="d33757e82-false-d33924e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.305-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Caregiveratsourcelocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']"
         id="d33926e35-false-d33935e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="string(@typeCode)=('DST')">(Destinationlocation): de waarde van @typeCode MOET 'DST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(Destinationlocation): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:participantRole)&lt;=1">(Destinationlocation): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole"
         id="d33926e39-false-d33960e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="string(@classCode)=('LOCE')">(Destinationlocation): de waarde van @classCode MOET 'LOCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:id)&lt;=1">(Destinationlocation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:addr)&gt;=1 ">(Destinationlocation): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:addr)&lt;=1">(Destinationlocation): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(Destinationlocation): element hl7:scopingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:id
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:id"
         id="d33926e43-false-d34009e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:addr
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:addr"
         id="d33926e49-false-d34023e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:telecom
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:telecom"
         id="d33926e51-false-d34037e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:scopingEntity
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:scopingEntity"
         id="d33926e53-false-d34051e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="string(@classCode)=('PSN')">(Destinationlocation): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(Destinationlocation): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="count(hl7:code)&lt;=1">(Destinationlocation): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.304
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (Destinationlocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:participant[@typeCode='DST']/hl7:participantRole/hl7:scopingEntity/hl7:code"
         id="d33926e59-false-d34077e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Destinationlocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.17-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]) or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.50-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Destinationlocation): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.17 Vermoed specialisme (DYNAMISCH) of 2.16.840.1.113883.2.4.3.11.60.55.11.50 Vermoed specialisme SNOMED (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.50-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.304-2016-02-25T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Destinationlocation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.55.11.17 Vermoed specialisme (DYNAMISCH) of 2.16.840.1.113883.2.4.3.11.60.55.11.50 Vermoed specialisme SNOMED (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.302
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.221']]
Item: (TransportationAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.302']/hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.221']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.html"
              test="string(@typeCode)=('SPRT')">(TransportationAct): de waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>
</pattern>
