<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Name: Acuity Criteria
Description: Acuity Criteria: Triagecriteriagegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000">
   <title>Acuity Criteria</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]
Item: (AcuityCriteria)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']"
         id="d109e3974-false-d35226e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@classCode)=('BATTERY')">(AcuityCriteria): de waarde van @classCode MOET 'BATTERY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@moodCode)=('EVN')">(AcuityCriteria): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.308'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/@nullFlavor)">(AcuityCriteria): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.308'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.308'])&lt;=1">(AcuityCriteria): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.308'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:code[(@code='X-AACL' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='X-AACL' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(AcuityCriteria): element hl7:code[(@code='X-AACL' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:code[(@code='X-AACL' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(AcuityCriteria): element hl7:code[(@code='X-AACL' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(AcuityCriteria): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(AcuityCriteria): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']"
         id="d109e3980-false-d35291e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.308')">(AcuityCriteria): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.308' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:code[(@code='X-AACL' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:code[(@code='X-AACL' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d109e3985-false-d35309e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="@nullFlavor or (@code='X-AACL' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Acuity assessment checklist')">(AcuityCriteria): de elementwaarde MOET een zijn van 'code 'X-AACL' codeSystem '2.16.840.1.113883.6.1' displayName='Acuity assessment checklist''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:statusCode[@code='completed']
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:statusCode[@code='completed']"
         id="d109e3990-false-d35330e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="@nullFlavor or (@code='completed')">(AcuityCriteria): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component"
         id="d109e3996-false-d35351e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AcuityCriteria): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(AcuityCriteria): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:observation)&gt;=1 ">(AcuityCriteria): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:observation)&lt;=1">(AcuityCriteria): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation"
         id="d109e4028-false-d35380e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@classCode)=('OBS')">(AcuityCriteria): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@moodCode)=('EVN')">(AcuityCriteria): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:code)&lt;=1">(AcuityCriteria): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(AcuityCriteria): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(AcuityCriteria): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:value)&gt;=1 ">(AcuityCriteria): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:value)&lt;=1">(AcuityCriteria): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:code
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:code"
         id="d109e4034-false-d35430e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:originalText)&lt;=1">(AcuityCriteria): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:code/hl7:originalText
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:code/hl7:originalText"
         id="d109e4039-false-d35453e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:statusCode[@code='completed']
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:statusCode[@code='completed']"
         id="d109e4042-false-d35467e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="@nullFlavor or (@code='completed')">(AcuityCriteria): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:value
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:value"
         id="d109e4047-false-d35488e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:originalText)&lt;=1">(AcuityCriteria): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:value/hl7:originalText
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:value/hl7:originalText"
         id="d109e4052-false-d35511e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component"
         id="d109e4057-false-d35525e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AcuityCriteria): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(AcuityCriteria): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:observation)&gt;=1 ">(AcuityCriteria): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:observation)&lt;=1">(AcuityCriteria): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation"
         id="d109e4079-false-d35554e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@classCode)=('INFRM')">(AcuityCriteria): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="string(@moodCode)=('EVN')">(AcuityCriteria): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:code)&lt;=1">(AcuityCriteria): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(AcuityCriteria): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(AcuityCriteria): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:value)&gt;=1 ">(AcuityCriteria): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="count(hl7:value)&lt;=1">(AcuityCriteria): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:code
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:code"
         id="d109e4085-false-d35604e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="@nullFlavor or (@code='X-RAACLNU' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Reason acuity assessment checklist not used')">(AcuityCriteria): de elementwaarde MOET een zijn van 'code 'X-RAACLNU' codeSystem '2.16.840.1.113883.6.1' displayName='Reason acuity assessment checklist not used''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:statusCode[@code='completed']
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:statusCode[@code='completed']"
         id="d109e4090-false-d35625e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="@nullFlavor or (@code='completed')">(AcuityCriteria): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.308
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:value
Item: (AcuityCriteria)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.308']/hl7:component/hl7:observation/hl7:value"
         id="d109e4095-false-d35646e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AcuityCriteria): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
</pattern>
