<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.310
Name: Planned Activities
Description: Planned Activities: Vervolgacties
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000">
   <title>Planned Activities</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.310
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]
Item: (PlannedActivities)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.310
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']
Item: (PlannedActivities)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']"
         id="d109e4239-false-d36000e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="string(@classCode)=('ACT')">(PlannedActivities): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="@moodCode">(PlannedActivities): attribute @moodCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('INT','EVN')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(PlannedActivities): de waarde van moodCode MOET 'code INT of code EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.310'])&gt;=1 ">(PlannedActivities): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.310'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.310'])&lt;=1">(PlannedActivities): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.310'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="count(hl7:code)&lt;=1">(PlannedActivities): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="count(hl7:text)&lt;=1">(PlannedActivities): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.310
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']
Item: (PlannedActivities)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']"
         id="d109e4250-false-d36063e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PlannedActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.310')">(PlannedActivities): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.310' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.310
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']/hl7:code
Item: (PlannedActivities)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']/hl7:code"
         id="d109e4255-false-d36081e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PlannedActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.310
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']/hl7:text
Item: (PlannedActivities)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']/hl7:text"
         id="d109e4257-false-d36095e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PlannedActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="count(hl7:reference)&gt;=1 ">(PlannedActivities): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="count(hl7:reference)&lt;=1">(PlannedActivities): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.310
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']/hl7:text/hl7:reference
Item: (PlannedActivities)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.55.10.310']/hl7:text/hl7:reference"
         id="d109e4262-false-d36121e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20160314T095506/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PlannedActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:URL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
</pattern>
